ranges::basic_iterator< Cur > Struct Template Reference
Iterator
Inheritance diagram for ranges::basic_iterator< Cur >:

## Public Member Functions

| basic_iterator (Cur &&cur)
| basic_iterator (Cur const &cur)
template<typename OtherCur >
CPP_TEMPLATE_AUX_0 | c (requires `(!same_as< OtherCur, Cur >) &&convertible_to< OtherCur, Cur > &&constructible_from< mixin_t, OtherCur >) ccconstexpr basic_iterator(basic_iterator< OtherCur > that)